Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Trader.h File Reference

`#include "Interpreter_Utils.h"`
`#include "ace/Containers.h"`
`#include "orbsvcs/CosTradingS.h"`
`#include "orbsvcs/CosTradingReposS.h"`
`#include "orbsvcs/CosTradingDynamicS.h"`
`#include "orbsvcs/Trader/trading_export.h"`

Include dependency graph for Trader.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Import_Attributes_i
| This class stores, allows access to and modification of trader's import attributes. More...
class | TAO_Link_Attributes_i
| This class stores, allows access to and modification of trader's link attributes. More...
class | TAO_Lockable
class | TAO_Support_Attributes_i
| This class stores, allows access to and modification of trader's support attributes. More...
class | TAO_Trader_Base
| TAO_Trader inherits from this "helper" class. The sole purpose of this class is to factor some of TAO_Trader's data members out, so that they would not have to be templatized and be be aware of the type of lock they use. More...
class | TAO_Trader_Factory
| Uses command line arguments to construct a trader instance with the correct interface support, locking, and policy settings. More...
class | TAO_Trading_Components_i
| Set/get methods for references to various interfaces of the trader. More...
## Typedefs
typedef ACE_Hash_Map_Manager_Ex< CORBA::ULong, CosTrading::Offer *, ACE_Hash< CORBA::ULong >, ACE_Equal_To< CORBA::ULong >, ACE_Null_Mutex > | TAO_Offer_Map
typedef ACE_Unbounded_Set< TAO_String_Hash_Key > | TAO_String_Set
typedef ACE_Unbounded_Queue< char * > | TAO_String_Queue
## Functions
int | operator> (const CosTradingRepos::ServiceTypeRepository::IncarnationNumber &l, const CosTradingRepos::ServiceTypeRepository::IncarnationNumber &r)
int | operator< (const CosTradingRepos::ServiceTypeRepository::IncarnationNumber &l, const CosTradingRepos::ServiceTypeRepository::IncarnationNumber &r)
int | operator== (const CosTrading::Admin::OctetSeq &left, const CosTrading::Admin::OctetSeq &right)

## Detailed Description

Id:
  Trader.h,v 1.48 2003/07/21 23:51:33 dhinton Exp

Author:
  Marina Spivak <marina@cs.wustl.edu> , Seth Widoff <sbw1@cs.wustl.edu> , Irfan Pyarali <irfan@cs.wustl.edu>

## Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<CORBA::ULong, CosTrading::Offer*, ACE_Hash<CORBA::ULong>, ACE_Equal_To<CORBA::ULong>, ACE_Null_Mutex> TAO_Offer_Map

typedef ACE_Unbounded_Queue<char*> TAO_String_Queue

typedef ACE_Unbounded_Set<TAO_String_Hash_Key> TAO_String_Set

## Function Documentation

int operator< | ( | const CosTradingRepos::ServiceTypeRepository::IncarnationNumber & | l,
|  | const CosTradingRepos::ServiceTypeRepository::IncarnationNumber & | r
| ) |

int operator== | ( | const CosTrading::Admin::OctetSeq & | left,
|  | const CosTrading::Admin::OctetSeq & | right
| ) |

int operator> | ( | const CosTradingRepos::ServiceTypeRepository::IncarnationNumber & | l,
|  | const CosTradingRepos::ServiceTypeRepository::IncarnationNumber & | r
| ) |